Subject: Re: [PATCH] arm: Add runtime constant support for armv7 and !THUMB2_KERNEL

From: Jisheng Zhang <[email-masked]>
Date: Mon, 23 Feb 2026 20:19:49 +0800

On Sat, Feb 21, 2026 at 04:03:16PM +0000, Russell King (Oracle) wrote:
> On Sat, Feb 21, 2026 at 10:18:31PM +0800, Jisheng Zhang wrote:
> > Implement the runtime constant infrastructure for
> > armv7 && !THUMB2_KERNEL. So that armv7 can use this infrastructure
> > to generate constants to be used by the d_hash(), dentry_cache(),
> > names_cache() and so on.
> > 
> > This is the armv7 variant of commit 94a2bc0f611c ("arm64: add 'runtime
> > constant' support") and commit e3c92e81711d ("runtime constants: add
> > x86 architecture support").
> > 
> > As for < armv7 or THUMB2_KERNEL, we fall back to the generic
> > runtime-constant.h, no functionality changes.
> > 
> > Signed-off-by: Jisheng Zhang <[email-masked]>
> 
> This looks fine to me, but it will need to appear in the patch system
> for me to apply it. Details linked via my signature below.

Thanks for the code review. Will put it into the patch system.

> 
> Thanks.
> 
> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!